using System.Collections.Generic;

namespace Oyster.Units.Macros
{
	/// Stores compile-time information for UnitsDefinition macro
	module CompileTimeInfo
	{
		/// List of basis unit names in correct order
		public mutable BasisUnits : list[string] = [];

		/// List of all common units (including basis ones)
		public mutable CommonUnits : list[string] = [];

		/// Map of common unit powers
		public PowersMap : Dictionary[string, list[int]] = Dictionary();
	}
}
